#429 !X.Y causes segmentation fault

closed-fixed
nobody
None
7
2014-01-18
2011-10-20
No

if you do for example

!version

you obtain and expectable error:

% Parser syntax error: unexpected token: !VERSION

but if you do for example

!version.os,

it crashes the execution of gdl

Segmentation fault

Although it is incorrect use that that way (instead of well-working "print, !version.os"), it should be avoided the crashing of the program.

Discussion

  • Alain C.

    Alain C. - 2011-10-20

    Confirmed.
    This is a clear regression.

     
  • Alain C.

    Alain C. - 2011-10-20
    • priority: 5 --> 7
     
  • Marc Schellens

    Marc Schellens - 2011-10-24
    • status: open --> closed-fixed
     
  • Sylwester Arabas

    Test added (test_bug_3426399.pro).
    S.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks